---
title: Window.ongamepadconnected
slug: Web/API/Window/ongamepadconnected
tags:
  - API
  - Event Handler
  - Experimental
  - Gamepad API
  - Property
  - Reference
  - Window
  - ongamepadconnected
---
<div>{{DefaultAPISidebar("Gamepad API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>ongamepadconnected</code></strong> property of the {{domxref("Window")}} interface represents an event handler that will run when a gamepad is connected (when the {{event('gamepadconnected')}} event fires).</p>

<p>The event object is of type {{domxref("GamepadEvent")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">window.ongamepadconnected = function() { ... };
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush:js; line-numbers  language-js"><code class="language-js">window<span class="punctuation token">.</span><span class="punctuation token">on</span><span class="string token">gamepadconnected =</span> <span class="keyword token">function</span><span class="punctuation token">(</span>event<span class="punctuation token">)</span> <span class="punctuation token">{</span>
  <span class="comment token">// All buttons and axes values can be accessed through</span>
  event<span class="punctuation token">.</span>gamepad<span class="punctuation token">;</span>
<span class="punctuation token">}</span><span class="punctuation token">;</span></code></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Gamepad', '#event-gamepadconnected', 'gamepadconnected event')}}</td>
   <td>{{Spec2('Gamepad')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.ongamepadconnected")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a class="external text" href="https://hacks.mozilla.org/2013/12/the-gamepad-api/" rel="nofollow">The Gamepad API</a> by Ted Mielczarek and Robert Nyman</li>
 <li><a href="https://luser.github.io/gamepadtest/">Simple API demo page</a> (<a href="https://github.com/luser/gamepadtest">source</a>)</li>
</ul>
